﻿/* RTX H.248 Media Gate. Crypto Module
 *
 * Copyright @ 2020 Peter Bukashin, George Makarov, Pavel Abramov
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#include "std_basedef.h"
//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
#define G_MG_CERT_SIZE 1280
static uint8_t g_mg_cert[G_MG_CERT_SIZE]
{
	0x2D, 0x2D, 0x2D, 0x2D, 0x2D, 0x42, 0x45, 0x47, 0x49, 0x4E, 0x20, 0x43, 0x45, 0x52, 0x54, 0x49, 0x46, 0x49, 0x43, 0x41, 0x54, 0x45, 0x2D, 0x2D, 0x2D, 0x2D, 0x2D, 0x0D, 0x0A, 0x4D, 0x49, 0x49,
	0x44, 0x62, 0x7A, 0x43, 0x43, 0x41, 0x6C, 0x65, 0x67, 0x41, 0x77, 0x49, 0x42, 0x41, 0x67, 0x49, 0x4A, 0x41, 0x50, 0x5A, 0x78, 0x75, 0x30, 0x6A, 0x52, 0x36, 0x78, 0x34, 0x34, 0x4D, 0x41, 0x30,
	0x47, 0x43, 0x53, 0x71, 0x47, 0x53, 0x49, 0x62, 0x33, 0x44, 0x51, 0x45, 0x42, 0x42, 0x51, 0x55, 0x41, 0x4D, 0x45, 0x34, 0x78, 0x43, 0x7A, 0x41, 0x4A, 0x42, 0x67, 0x4E, 0x56, 0x0D, 0x0A, 0x42,
	0x41, 0x59, 0x54, 0x41, 0x6B, 0x46, 0x56, 0x4D, 0x52, 0x4D, 0x77, 0x45, 0x51, 0x59, 0x44, 0x56, 0x51, 0x51, 0x49, 0x44, 0x41, 0x70, 0x54, 0x62, 0x32, 0x31, 0x6C, 0x4C, 0x56, 0x4E, 0x30, 0x59,
	0x58, 0x52, 0x6C, 0x4D, 0x52, 0x49, 0x77, 0x45, 0x41, 0x59, 0x44, 0x56, 0x51, 0x51, 0x4B, 0x44, 0x41, 0x6C, 0x55, 0x5A, 0x57, 0x78, 0x54, 0x65, 0x58, 0x4E, 0x30, 0x5A, 0x57, 0x30, 0x78, 0x0D,
	0x0A, 0x46, 0x6A, 0x41, 0x55, 0x42, 0x67, 0x4E, 0x56, 0x42, 0x41, 0x4D, 0x4D, 0x44, 0x58, 0x64, 0x33, 0x64, 0x79, 0x35, 0x76, 0x61, 0x33, 0x52, 0x6C, 0x62, 0x47, 0x77, 0x75, 0x63, 0x6E, 0x55,
	0x77, 0x48, 0x68, 0x63, 0x4E, 0x4D, 0x54, 0x51, 0x77, 0x4E, 0x54, 0x45, 0x30, 0x4D, 0x44, 0x67, 0x7A, 0x4D, 0x54, 0x49, 0x77, 0x57, 0x68, 0x63, 0x4E, 0x4D, 0x54, 0x55, 0x77, 0x4E, 0x54, 0x45,
	0x30, 0x0D, 0x0A, 0x4D, 0x44, 0x67, 0x7A, 0x4D, 0x54, 0x49, 0x77, 0x57, 0x6A, 0x42, 0x4F, 0x4D, 0x51, 0x73, 0x77, 0x43, 0x51, 0x59, 0x44, 0x56, 0x51, 0x51, 0x47, 0x45, 0x77, 0x4A, 0x42, 0x56,
	0x54, 0x45, 0x54, 0x4D, 0x42, 0x45, 0x47, 0x41, 0x31, 0x55, 0x45, 0x43, 0x41, 0x77, 0x4B, 0x55, 0x32, 0x39, 0x74, 0x5A, 0x53, 0x31, 0x54, 0x64, 0x47, 0x46, 0x30, 0x5A, 0x54, 0x45, 0x53, 0x4D,
	0x42, 0x41, 0x47, 0x0D, 0x0A, 0x41, 0x31, 0x55, 0x45, 0x43, 0x67, 0x77, 0x4A, 0x56, 0x47, 0x56, 0x73, 0x55, 0x33, 0x6C, 0x7A, 0x64, 0x47, 0x56, 0x74, 0x4D, 0x52, 0x59, 0x77, 0x46, 0x41, 0x59,
	0x44, 0x56, 0x51, 0x51, 0x44, 0x44, 0x41, 0x31, 0x33, 0x64, 0x33, 0x63, 0x75, 0x62, 0x32, 0x74, 0x30, 0x5A, 0x57, 0x78, 0x73, 0x4C, 0x6E, 0x4A, 0x31, 0x4D, 0x49, 0x49, 0x42, 0x49, 0x6A, 0x41,
	0x4E, 0x42, 0x67, 0x6B, 0x71, 0x0D, 0x0A, 0x68, 0x6B, 0x69, 0x47, 0x39, 0x77, 0x30, 0x42, 0x41, 0x51, 0x45, 0x46, 0x41, 0x41, 0x4F, 0x43, 0x41, 0x51, 0x38, 0x41, 0x4D, 0x49, 0x49, 0x42, 0x43,
	0x67, 0x4B, 0x43, 0x41, 0x51, 0x45, 0x41, 0x70, 0x6F, 0x43, 0x67, 0x36, 0x6E, 0x4A, 0x38, 0x64, 0x31, 0x67, 0x47, 0x32, 0x35, 0x30, 0x55, 0x6A, 0x39, 0x68, 0x68, 0x48, 0x36, 0x46, 0x37, 0x46,
	0x42, 0x79, 0x4E, 0x74, 0x48, 0x34, 0x76, 0x0D, 0x0A, 0x37, 0x65, 0x77, 0x76, 0x4C, 0x42, 0x35, 0x4A, 0x31, 0x6E, 0x34, 0x4A, 0x6C, 0x49, 0x67, 0x65, 0x49, 0x33, 0x6B, 0x70, 0x71, 0x46, 0x30,
	0x70, 0x66, 0x72, 0x6B, 0x6C, 0x6B, 0x4C, 0x38, 0x57, 0x6D, 0x2F, 0x66, 0x47, 0x4D, 0x72, 0x51, 0x6C, 0x63, 0x5A, 0x51, 0x54, 0x62, 0x70, 0x52, 0x54, 0x31, 0x6C, 0x31, 0x69, 0x4C, 0x61, 0x4B,
	0x5A, 0x4C, 0x6B, 0x7A, 0x44, 0x58, 0x38, 0x54, 0x42, 0x0D, 0x0A, 0x42, 0x2B, 0x61, 0x58, 0x58, 0x38, 0x67, 0x77, 0x54, 0x4E, 0x55, 0x63, 0x55, 0x57, 0x6F, 0x4F, 0x55, 0x43, 0x4C, 0x6E, 0x33,
	0x41, 0x4F, 0x53, 0x62, 0x6A, 0x73, 0x6B, 0x72, 0x51, 0x38, 0x65, 0x63, 0x38, 0x6B, 0x37, 0x75, 0x4C, 0x65, 0x46, 0x41, 0x30, 0x73, 0x58, 0x79, 0x57, 0x41, 0x35, 0x30, 0x2B, 0x77, 0x38, 0x53,
	0x34, 0x63, 0x66, 0x55, 0x54, 0x4C, 0x49, 0x57, 0x35, 0x6C, 0x59, 0x0D, 0x0A, 0x6E, 0x64, 0x47, 0x57, 0x4D, 0x35, 0x5A, 0x4F, 0x69, 0x43, 0x78, 0x7A, 0x44, 0x47, 0x68, 0x41, 0x69, 0x38, 0x4C,
	0x4D, 0x71, 0x35, 0x38, 0x6B, 0x6D, 0x50, 0x35, 0x7A, 0x67, 0x4D, 0x46, 0x58, 0x55, 0x68, 0x47, 0x74, 0x6B, 0x76, 0x2B, 0x4F, 0x75, 0x6D, 0x45, 0x44, 0x6C, 0x52, 0x2B, 0x76, 0x50, 0x55, 0x33,
	0x72, 0x34, 0x34, 0x34, 0x37, 0x53, 0x68, 0x4D, 0x63, 0x6C, 0x53, 0x76, 0x46, 0x0D, 0x0A, 0x78, 0x34, 0x33, 0x34, 0x4A, 0x41, 0x45, 0x4B, 0x45, 0x59, 0x2F, 0x51, 0x58, 0x69, 0x72, 0x67, 0x4C,
	0x4B, 0x34, 0x4E, 0x43, 0x30, 0x75, 0x32, 0x30, 0x37, 0x32, 0x52, 0x2B, 0x64, 0x6F, 0x2B, 0x32, 0x38, 0x73, 0x6B, 0x2B, 0x70, 0x62, 0x36, 0x38, 0x36, 0x6E, 0x42, 0x62, 0x64, 0x4A, 0x6A, 0x71,
	0x42, 0x7A, 0x4D, 0x5A, 0x37, 0x75, 0x57, 0x72, 0x52, 0x6B, 0x6A, 0x76, 0x53, 0x4E, 0x77, 0x0D, 0x0A, 0x34, 0x53, 0x33, 0x78, 0x2F, 0x76, 0x53, 0x2F, 0x34, 0x74, 0x66, 0x46, 0x37, 0x63, 0x35,
	0x6E, 0x51, 0x79, 0x61, 0x69, 0x4D, 0x4D, 0x31, 0x55, 0x57, 0x58, 0x4C, 0x68, 0x44, 0x44, 0x64, 0x68, 0x4D, 0x32, 0x52, 0x50, 0x39, 0x34, 0x43, 0x50, 0x4B, 0x66, 0x64, 0x46, 0x44, 0x79, 0x33,
	0x46, 0x61, 0x6F, 0x62, 0x42, 0x39, 0x51, 0x49, 0x44, 0x41, 0x51, 0x41, 0x42, 0x6F, 0x31, 0x41, 0x77, 0x0D, 0x0A, 0x54, 0x6A, 0x41, 0x64, 0x42, 0x67, 0x4E, 0x56, 0x48, 0x51, 0x34, 0x45, 0x46,
	0x67, 0x51, 0x55, 0x4F, 0x58, 0x32, 0x43, 0x2F, 0x73, 0x7A, 0x53, 0x7A, 0x42, 0x45, 0x77, 0x74, 0x72, 0x56, 0x5A, 0x7A, 0x4A, 0x38, 0x2B, 0x73, 0x7A, 0x36, 0x44, 0x5A, 0x59, 0x59, 0x77, 0x48,
	0x77, 0x59, 0x44, 0x56, 0x52, 0x30, 0x6A, 0x42, 0x42, 0x67, 0x77, 0x46, 0x6F, 0x41, 0x55, 0x4F, 0x58, 0x32, 0x43, 0x0D, 0x0A, 0x2F, 0x73, 0x7A, 0x53, 0x7A, 0x42, 0x45, 0x77, 0x74, 0x72, 0x56,
	0x5A, 0x7A, 0x4A, 0x38, 0x2B, 0x73, 0x7A, 0x36, 0x44, 0x5A, 0x59, 0x59, 0x77, 0x44, 0x41, 0x59, 0x44, 0x56, 0x52, 0x30, 0x54, 0x42, 0x41, 0x55, 0x77, 0x41, 0x77, 0x45, 0x42, 0x2F, 0x7A, 0x41,
	0x4E, 0x42, 0x67, 0x6B, 0x71, 0x68, 0x6B, 0x69, 0x47, 0x39, 0x77, 0x30, 0x42, 0x41, 0x51, 0x55, 0x46, 0x41, 0x41, 0x4F, 0x43, 0x0D, 0x0A, 0x41, 0x51, 0x45, 0x41, 0x4A, 0x31, 0x75, 0x6B, 0x6E,
	0x35, 0x36, 0x43, 0x61, 0x52, 0x6D, 0x74, 0x37, 0x55, 0x77, 0x30, 0x43, 0x4B, 0x39, 0x43, 0x69, 0x76, 0x2B, 0x31, 0x62, 0x53, 0x61, 0x51, 0x6B, 0x76, 0x69, 0x4C, 0x65, 0x38, 0x59, 0x47, 0x33,
	0x49, 0x4B, 0x76, 0x72, 0x71, 0x70, 0x37, 0x44, 0x42, 0x34, 0x56, 0x65, 0x57, 0x34, 0x59, 0x39, 0x70, 0x31, 0x4F, 0x30, 0x5A, 0x39, 0x50, 0x0D, 0x0A, 0x79, 0x68, 0x32, 0x48, 0x53, 0x6A, 0x38,
	0x73, 0x49, 0x4F, 0x2F, 0x52, 0x6F, 0x54, 0x71, 0x65, 0x50, 0x4D, 0x4E, 0x67, 0x45, 0x58, 0x61, 0x55, 0x6F, 0x65, 0x70, 0x56, 0x4D, 0x7A, 0x72, 0x61, 0x51, 0x6E, 0x53, 0x57, 0x4B, 0x71, 0x6F,
	0x76, 0x49, 0x31, 0x73, 0x31, 0x74, 0x6D, 0x35, 0x4F, 0x35, 0x4D, 0x63, 0x76, 0x76, 0x4C, 0x6B, 0x52, 0x47, 0x4E, 0x59, 0x41, 0x45, 0x6C, 0x54, 0x56, 0x0D, 0x0A, 0x70, 0x55, 0x4F, 0x39, 0x2B,
	0x68, 0x34, 0x32, 0x4F, 0x79, 0x53, 0x72, 0x35, 0x58, 0x69, 0x65, 0x58, 0x67, 0x37, 0x66, 0x4A, 0x76, 0x30, 0x32, 0x61, 0x76, 0x4C, 0x2F, 0x67, 0x37, 0x56, 0x6A, 0x48, 0x79, 0x2B, 0x6D, 0x39,
	0x78, 0x38, 0x54, 0x74, 0x4F, 0x46, 0x6C, 0x31, 0x32, 0x4E, 0x6E, 0x44, 0x33, 0x36, 0x33, 0x6D, 0x6E, 0x34, 0x67, 0x6B, 0x31, 0x33, 0x76, 0x77, 0x2F, 0x6C, 0x62, 0x0D, 0x0A, 0x5A, 0x4A, 0x45,
	0x38, 0x33, 0x4E, 0x5A, 0x33, 0x6C, 0x46, 0x6F, 0x49, 0x35, 0x42, 0x6C, 0x54, 0x71, 0x63, 0x44, 0x7A, 0x71, 0x69, 0x6B, 0x73, 0x43, 0x48, 0x6F, 0x4E, 0x33, 0x55, 0x4A, 0x46, 0x63, 0x57, 0x6E,
	0x77, 0x56, 0x4D, 0x45, 0x38, 0x6D, 0x49, 0x68, 0x55, 0x31, 0x69, 0x78, 0x72, 0x4B, 0x56, 0x54, 0x7A, 0x31, 0x46, 0x47, 0x69, 0x37, 0x47, 0x54, 0x49, 0x58, 0x54, 0x58, 0x58, 0x0D, 0x0A, 0x65,
	0x71, 0x62, 0x59, 0x59, 0x75, 0x41, 0x4E, 0x2F, 0x76, 0x42, 0x35, 0x36, 0x77, 0x70, 0x35, 0x53, 0x30, 0x44, 0x39, 0x31, 0x66, 0x56, 0x58, 0x37, 0x59, 0x2B, 0x41, 0x71, 0x54, 0x77, 0x70, 0x38,
	0x72, 0x79, 0x71, 0x33, 0x4C, 0x4F, 0x70, 0x62, 0x47, 0x39, 0x79, 0x70, 0x72, 0x4A, 0x41, 0x5A, 0x2F, 0x37, 0x6D, 0x62, 0x4E, 0x43, 0x6D, 0x6C, 0x2F, 0x4A, 0x49, 0x6D, 0x46, 0x64, 0x37, 0x0D,
	0x0A, 0x4E, 0x6A, 0x33, 0x48, 0x4B, 0x6F, 0x42, 0x7A, 0x39, 0x37, 0x35, 0x2F, 0x64, 0x74, 0x43, 0x52, 0x32, 0x70, 0x44, 0x78, 0x54, 0x73, 0x79, 0x35, 0x72, 0x41, 0x3D, 0x3D, 0x0D, 0x0A, 0x2D,
	0x2D, 0x2D, 0x2D, 0x2D, 0x45, 0x4E, 0x44, 0x20, 0x43, 0x45, 0x52, 0x54, 0x49, 0x46, 0x49, 0x43, 0x41, 0x54, 0x45, 0x2D, 0x2D, 0x2D, 0x2D, 0x2D, 0x0D, 0x0A, 0xFD, 0xFD, 0xFD, 0xFD, 0xAB, 0xAB
};
//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
#define G_MG_KEY_SIZE 1888
static uint8_t g_mg_key[G_MG_KEY_SIZE]
{
	0x2D, 0x2D, 0x2D, 0x2D, 0x2D, 0x42, 0x45, 0x47, 0x49, 0x4E, 0x20, 0x45, 0x4E, 0x43, 0x52, 0x59, 0x50, 0x54, 0x45, 0x44, 0x20, 0x50, 0x52, 0x49, 0x56, 0x41, 0x54, 0x45, 0x20, 0x4B, 0x45, 0x59,
	0x2D, 0x2D, 0x2D, 0x2D, 0x2D, 0x0D, 0x0A, 0x4D, 0x49, 0x49, 0x46, 0x44, 0x6A, 0x42, 0x41, 0x42, 0x67, 0x6B, 0x71, 0x68, 0x6B, 0x69, 0x47, 0x39, 0x77, 0x30, 0x42, 0x42, 0x51, 0x30, 0x77, 0x4D,
	0x7A, 0x41, 0x62, 0x42, 0x67, 0x6B, 0x71, 0x68, 0x6B, 0x69, 0x47, 0x39, 0x77, 0x30, 0x42, 0x42, 0x51, 0x77, 0x77, 0x44, 0x67, 0x51, 0x49, 0x55, 0x7A, 0x44, 0x4B, 0x31, 0x39, 0x36, 0x73, 0x59,
	0x61, 0x38, 0x43, 0x41, 0x67, 0x67, 0x41, 0x0D, 0x0A, 0x4D, 0x42, 0x51, 0x47, 0x43, 0x43, 0x71, 0x47, 0x53, 0x49, 0x62, 0x33, 0x44, 0x51, 0x4D, 0x48, 0x42, 0x41, 0x6A, 0x44, 0x56, 0x6E, 0x34,
	0x62, 0x63, 0x72, 0x6D, 0x54, 0x66, 0x77, 0x53, 0x43, 0x42, 0x4D, 0x69, 0x42, 0x72, 0x51, 0x65, 0x55, 0x70, 0x62, 0x2F, 0x6D, 0x6C, 0x34, 0x37, 0x75, 0x30, 0x46, 0x6F, 0x65, 0x33, 0x6C, 0x52,
	0x2F, 0x71, 0x42, 0x37, 0x66, 0x34, 0x58, 0x33, 0x62, 0x0D, 0x0A, 0x64, 0x6C, 0x6C, 0x78, 0x70, 0x4B, 0x35, 0x4C, 0x43, 0x48, 0x33, 0x58, 0x6C, 0x66, 0x61, 0x51, 0x55, 0x2B, 0x39, 0x59, 0x35,
	0x34, 0x66, 0x79, 0x6B, 0x56, 0x6A, 0x52, 0x73, 0x77, 0x6B, 0x72, 0x52, 0x78, 0x41, 0x75, 0x37, 0x62, 0x4A, 0x75, 0x66, 0x72, 0x33, 0x51, 0x4E, 0x63, 0x54, 0x34, 0x4F, 0x43, 0x45, 0x72, 0x49,
	0x73, 0x76, 0x68, 0x6A, 0x4C, 0x57, 0x72, 0x5A, 0x39, 0x37, 0x6C, 0x0D, 0x0A, 0x49, 0x38, 0x53, 0x54, 0x6E, 0x31, 0x6F, 0x32, 0x45, 0x6D, 0x6A, 0x4C, 0x61, 0x35, 0x66, 0x2F, 0x4D, 0x51, 0x47,
	0x49, 0x63, 0x4E, 0x53, 0x4F, 0x59, 0x72, 0x56, 0x45, 0x47, 0x75, 0x74, 0x31, 0x6A, 0x62, 0x34, 0x56, 0x36, 0x45, 0x30, 0x2F, 0x50, 0x45, 0x52, 0x72, 0x49, 0x4F, 0x71, 0x67, 0x38, 0x2B, 0x51,
	0x76, 0x52, 0x30, 0x66, 0x39, 0x45, 0x45, 0x7A, 0x4C, 0x6B, 0x30, 0x48, 0x79, 0x0D, 0x0A, 0x64, 0x4E, 0x43, 0x6A, 0x65, 0x33, 0x4B, 0x77, 0x65, 0x35, 0x6B, 0x4B, 0x4B, 0x6F, 0x4A, 0x2F, 0x36,
	0x67, 0x4B, 0x72, 0x51, 0x49, 0x38, 0x44, 0x63, 0x67, 0x75, 0x46, 0x41, 0x35, 0x6A, 0x69, 0x54, 0x4D, 0x6D, 0x43, 0x5A, 0x74, 0x48, 0x4D, 0x77, 0x62, 0x48, 0x61, 0x71, 0x4C, 0x39, 0x58, 0x4D,
	0x33, 0x59, 0x70, 0x70, 0x4C, 0x51, 0x30, 0x32, 0x6C, 0x31, 0x36, 0x4B, 0x79, 0x72, 0x74, 0x0D, 0x0A, 0x5A, 0x72, 0x34, 0x30, 0x57, 0x49, 0x68, 0x78, 0x76, 0x78, 0x30, 0x46, 0x58, 0x63, 0x55,
	0x43, 0x6C, 0x30, 0x35, 0x44, 0x7A, 0x45, 0x59, 0x73, 0x74, 0x66, 0x34, 0x65, 0x34, 0x43, 0x64, 0x70, 0x61, 0x33, 0x74, 0x74, 0x6A, 0x70, 0x36, 0x53, 0x73, 0x33, 0x53, 0x4D, 0x63, 0x2B, 0x30,
	0x74, 0x33, 0x55, 0x7A, 0x43, 0x6D, 0x59, 0x42, 0x6B, 0x66, 0x6E, 0x45, 0x79, 0x54, 0x52, 0x46, 0x70, 0x0D, 0x0A, 0x58, 0x39, 0x78, 0x49, 0x4C, 0x32, 0x59, 0x4F, 0x49, 0x2B, 0x69, 0x6C, 0x6F,
	0x46, 0x7A, 0x73, 0x38, 0x45, 0x59, 0x2B, 0x35, 0x33, 0x46, 0x6E, 0x52, 0x47, 0x56, 0x6E, 0x71, 0x79, 0x46, 0x49, 0x33, 0x77, 0x76, 0x52, 0x41, 0x2B, 0x49, 0x72, 0x4B, 0x63, 0x48, 0x72, 0x62,
	0x2B, 0x69, 0x70, 0x4D, 0x48, 0x32, 0x4A, 0x42, 0x34, 0x7A, 0x79, 0x59, 0x4A, 0x42, 0x4F, 0x2B, 0x77, 0x6D, 0x4D, 0x0D, 0x0A, 0x75, 0x6E, 0x71, 0x4B, 0x54, 0x44, 0x57, 0x71, 0x69, 0x52, 0x4D,
	0x50, 0x38, 0x6B, 0x64, 0x36, 0x65, 0x2F, 0x34, 0x76, 0x46, 0x73, 0x33, 0x4E, 0x41, 0x33, 0x77, 0x4F, 0x59, 0x45, 0x4D, 0x30, 0x6E, 0x77, 0x57, 0x77, 0x4F, 0x61, 0x55, 0x52, 0x75, 0x73, 0x49,
	0x2B, 0x52, 0x61, 0x7A, 0x4F, 0x4F, 0x6B, 0x53, 0x4B, 0x6B, 0x63, 0x61, 0x77, 0x32, 0x7A, 0x4F, 0x66, 0x78, 0x34, 0x68, 0x6C, 0x0D, 0x0A, 0x41, 0x42, 0x71, 0x2F, 0x62, 0x56, 0x6F, 0x4C, 0x33,
	0x31, 0x62, 0x66, 0x36, 0x42, 0x33, 0x50, 0x68, 0x62, 0x66, 0x41, 0x51, 0x6E, 0x41, 0x39, 0x59, 0x48, 0x4F, 0x43, 0x43, 0x51, 0x6B, 0x4C, 0x38, 0x66, 0x58, 0x53, 0x39, 0x64, 0x30, 0x36, 0x57,
	0x48, 0x4B, 0x72, 0x4C, 0x61, 0x2B, 0x6C, 0x54, 0x6F, 0x52, 0x77, 0x4C, 0x71, 0x65, 0x74, 0x68, 0x4B, 0x64, 0x64, 0x33, 0x6C, 0x69, 0x57, 0x0D, 0x0A, 0x66, 0x44, 0x34, 0x55, 0x59, 0x76, 0x71,
	0x65, 0x6C, 0x2B, 0x52, 0x4E, 0x42, 0x41, 0x39, 0x2B, 0x35, 0x52, 0x31, 0x70, 0x48, 0x6B, 0x47, 0x76, 0x63, 0x4C, 0x39, 0x77, 0x32, 0x37, 0x4E, 0x73, 0x6F, 0x37, 0x38, 0x58, 0x57, 0x61, 0x59,
	0x62, 0x78, 0x56, 0x6E, 0x76, 0x43, 0x7A, 0x66, 0x4C, 0x47, 0x48, 0x39, 0x53, 0x71, 0x2B, 0x55, 0x77, 0x2B, 0x58, 0x61, 0x49, 0x2B, 0x4A, 0x5A, 0x47, 0x0D, 0x0A, 0x4A, 0x56, 0x78, 0x62, 0x63,
	0x49, 0x6A, 0x47, 0x2B, 0x38, 0x56, 0x72, 0x4C, 0x69, 0x54, 0x58, 0x32, 0x78, 0x54, 0x54, 0x38, 0x31, 0x64, 0x57, 0x5A, 0x55, 0x6C, 0x67, 0x46, 0x4B, 0x4F, 0x75, 0x73, 0x63, 0x44, 0x62, 0x34,
	0x31, 0x4E, 0x6E, 0x70, 0x64, 0x57, 0x69, 0x47, 0x75, 0x76, 0x4E, 0x67, 0x37, 0x55, 0x4A, 0x48, 0x38, 0x65, 0x45, 0x74, 0x59, 0x63, 0x49, 0x49, 0x35, 0x70, 0x66, 0x0D, 0x0A, 0x41, 0x49, 0x59,
	0x38, 0x46, 0x6F, 0x69, 0x71, 0x4D, 0x7A, 0x54, 0x62, 0x2B, 0x7A, 0x6E, 0x57, 0x62, 0x76, 0x53, 0x5A, 0x73, 0x54, 0x64, 0x6E, 0x42, 0x50, 0x2F, 0x64, 0x54, 0x76, 0x78, 0x32, 0x33, 0x53, 0x6C,
	0x66, 0x79, 0x62, 0x76, 0x31, 0x4C, 0x55, 0x48, 0x51, 0x6C, 0x43, 0x42, 0x6C, 0x51, 0x44, 0x35, 0x73, 0x4C, 0x39, 0x67, 0x48, 0x43, 0x68, 0x70, 0x37, 0x71, 0x76, 0x4C, 0x76, 0x0D, 0x0A, 0x43,
	0x2B, 0x65, 0x56, 0x64, 0x47, 0x50, 0x63, 0x45, 0x4E, 0x37, 0x4B, 0x69, 0x61, 0x73, 0x4E, 0x75, 0x4F, 0x36, 0x71, 0x42, 0x30, 0x4B, 0x45, 0x68, 0x79, 0x2B, 0x67, 0x66, 0x6C, 0x58, 0x33, 0x47,
	0x47, 0x42, 0x7A, 0x72, 0x6B, 0x47, 0x50, 0x6C, 0x4D, 0x4B, 0x66, 0x4E, 0x49, 0x79, 0x63, 0x79, 0x41, 0x35, 0x41, 0x68, 0x32, 0x46, 0x62, 0x4E, 0x70, 0x43, 0x74, 0x53, 0x54, 0x6D, 0x67, 0x0D,
	0x0A, 0x2F, 0x66, 0x6B, 0x6B, 0x6A, 0x42, 0x77, 0x47, 0x79, 0x47, 0x37, 0x76, 0x75, 0x6D, 0x6F, 0x64, 0x61, 0x37, 0x6D, 0x30, 0x30, 0x52, 0x45, 0x2F, 0x42, 0x35, 0x38, 0x4A, 0x2B, 0x61, 0x47,
	0x6A, 0x66, 0x67, 0x76, 0x41, 0x53, 0x48, 0x55, 0x6D, 0x44, 0x70, 0x4D, 0x76, 0x54, 0x75, 0x52, 0x4F, 0x49, 0x69, 0x42, 0x36, 0x55, 0x4B, 0x44, 0x32, 0x49, 0x63, 0x79, 0x66, 0x70, 0x6B, 0x48,
	0x71, 0x0D, 0x0A, 0x59, 0x52, 0x76, 0x31, 0x45, 0x42, 0x41, 0x4E, 0x56, 0x61, 0x41, 0x62, 0x73, 0x63, 0x65, 0x34, 0x78, 0x79, 0x61, 0x59, 0x5A, 0x62, 0x54, 0x66, 0x57, 0x4E, 0x4C, 0x45, 0x4A,
	0x4E, 0x41, 0x6D, 0x74, 0x43, 0x31, 0x4A, 0x62, 0x72, 0x51, 0x54, 0x71, 0x2F, 0x4E, 0x31, 0x50, 0x74, 0x50, 0x52, 0x32, 0x6E, 0x6A, 0x48, 0x52, 0x59, 0x38, 0x65, 0x32, 0x65, 0x39, 0x30, 0x79,
	0x73, 0x31, 0x2F, 0x0D, 0x0A, 0x52, 0x4E, 0x6F, 0x73, 0x31, 0x53, 0x49, 0x57, 0x69, 0x2F, 0x61, 0x42, 0x4A, 0x52, 0x74, 0x73, 0x58, 0x71, 0x6B, 0x59, 0x6D, 0x33, 0x69, 0x65, 0x2B, 0x6A, 0x63,
	0x39, 0x33, 0x47, 0x43, 0x74, 0x37, 0x33, 0x32, 0x4F, 0x33, 0x4A, 0x35, 0x78, 0x77, 0x45, 0x5A, 0x52, 0x5A, 0x78, 0x2B, 0x64, 0x4C, 0x64, 0x54, 0x43, 0x6F, 0x45, 0x6D, 0x4A, 0x65, 0x64, 0x38,
	0x48, 0x74, 0x68, 0x7A, 0x71, 0x0D, 0x0A, 0x36, 0x70, 0x63, 0x38, 0x77, 0x35, 0x70, 0x32, 0x6B, 0x79, 0x5A, 0x49, 0x58, 0x6A, 0x5A, 0x33, 0x7A, 0x50, 0x59, 0x76, 0x58, 0x6E, 0x54, 0x4C, 0x42,
	0x62, 0x63, 0x69, 0x67, 0x46, 0x67, 0x70, 0x30, 0x71, 0x6F, 0x51, 0x4F, 0x6B, 0x63, 0x73, 0x50, 0x77, 0x4C, 0x6A, 0x7A, 0x37, 0x30, 0x50, 0x6D, 0x6C, 0x43, 0x79, 0x41, 0x44, 0x45, 0x4A, 0x2B,
	0x4A, 0x63, 0x55, 0x4E, 0x42, 0x4F, 0x50, 0x0D, 0x0A, 0x41, 0x68, 0x74, 0x78, 0x4F, 0x31, 0x2F, 0x75, 0x68, 0x30, 0x77, 0x4B, 0x32, 0x62, 0x31, 0x63, 0x53, 0x61, 0x6B, 0x64, 0x4F, 0x30, 0x49,
	0x50, 0x43, 0x6A, 0x37, 0x75, 0x63, 0x30, 0x78, 0x58, 0x55, 0x70, 0x59, 0x5A, 0x47, 0x41, 0x6D, 0x6E, 0x79, 0x58, 0x6C, 0x42, 0x67, 0x4C, 0x48, 0x46, 0x42, 0x6E, 0x37, 0x46, 0x36, 0x69, 0x58,
	0x6B, 0x71, 0x5A, 0x61, 0x71, 0x4C, 0x4A, 0x52, 0x42, 0x0D, 0x0A, 0x30, 0x58, 0x5A, 0x74, 0x47, 0x32, 0x43, 0x39, 0x31, 0x71, 0x77, 0x68, 0x71, 0x51, 0x53, 0x6E, 0x52, 0x61, 0x36, 0x30, 0x45,
	0x78, 0x6F, 0x79, 0x6E, 0x72, 0x52, 0x48, 0x71, 0x68, 0x70, 0x48, 0x34, 0x70, 0x58, 0x6F, 0x37, 0x42, 0x47, 0x55, 0x68, 0x41, 0x6A, 0x46, 0x30, 0x5A, 0x45, 0x76, 0x61, 0x44, 0x43, 0x5A, 0x54,
	0x59, 0x59, 0x77, 0x2B, 0x79, 0x6A, 0x54, 0x6C, 0x2B, 0x58, 0x67, 0x0D, 0x0A, 0x4B, 0x49, 0x76, 0x44, 0x35, 0x59, 0x68, 0x6B, 0x6B, 0x58, 0x62, 0x69, 0x48, 0x78, 0x44, 0x75, 0x79, 0x63, 0x58,
	0x51, 0x2F, 0x47, 0x31, 0x64, 0x37, 0x73, 0x48, 0x43, 0x2F, 0x78, 0x6C, 0x43, 0x2B, 0x4D, 0x53, 0x34, 0x71, 0x59, 0x75, 0x49, 0x78, 0x76, 0x74, 0x31, 0x33, 0x78, 0x63, 0x39, 0x6B, 0x36, 0x48,
	0x5A, 0x6E, 0x65, 0x4D, 0x61, 0x66, 0x59, 0x6A, 0x51, 0x4F, 0x64, 0x35, 0x67, 0x0D, 0x0A, 0x50, 0x39, 0x4B, 0x48, 0x58, 0x55, 0x47, 0x56, 0x6E, 0x44, 0x48, 0x4F, 0x62, 0x61, 0x61, 0x74, 0x68,
	0x35, 0x64, 0x43, 0x59, 0x52, 0x4C, 0x45, 0x65, 0x6C, 0x45, 0x48, 0x49, 0x6D, 0x71, 0x4C, 0x6A, 0x38, 0x58, 0x56, 0x77, 0x58, 0x4B, 0x33, 0x4F, 0x58, 0x68, 0x4C, 0x68, 0x67, 0x34, 0x57, 0x48,
	0x68, 0x58, 0x75, 0x35, 0x6C, 0x7A, 0x66, 0x70, 0x6E, 0x6F, 0x51, 0x6D, 0x7A, 0x72, 0x45, 0x0D, 0x0A, 0x38, 0x36, 0x2F, 0x44, 0x75, 0x63, 0x4C, 0x49, 0x45, 0x52, 0x74, 0x46, 0x6E, 0x56, 0x39,
	0x4A, 0x56, 0x72, 0x2F, 0x76, 0x4D, 0x51, 0x67, 0x64, 0x61, 0x58, 0x75, 0x56, 0x44, 0x44, 0x54, 0x44, 0x79, 0x56, 0x4C, 0x63, 0x47, 0x59, 0x6A, 0x62, 0x50, 0x41, 0x49, 0x50, 0x6B, 0x51, 0x63,
	0x59, 0x6F, 0x72, 0x31, 0x67, 0x41, 0x7A, 0x5A, 0x39, 0x77, 0x54, 0x4D, 0x4B, 0x5A, 0x57, 0x41, 0x68, 0x0D, 0x0A, 0x6C, 0x2B, 0x52, 0x79, 0x43, 0x71, 0x34, 0x59, 0x4C, 0x54, 0x66, 0x55, 0x56,
	0x30, 0x61, 0x38, 0x5A, 0x72, 0x35, 0x44, 0x64, 0x55, 0x79, 0x75, 0x58, 0x57, 0x56, 0x57, 0x30, 0x56, 0x77, 0x73, 0x36, 0x38, 0x57, 0x71, 0x65, 0x66, 0x35, 0x47, 0x51, 0x44, 0x6F, 0x46, 0x31,
	0x62, 0x35, 0x32, 0x34, 0x50, 0x47, 0x55, 0x4A, 0x62, 0x4B, 0x6B, 0x73, 0x30, 0x4A, 0x4B, 0x54, 0x33, 0x2F, 0x6D, 0x0D, 0x0A, 0x71, 0x52, 0x66, 0x47, 0x33, 0x79, 0x37, 0x37, 0x7A, 0x45, 0x31,
	0x61, 0x67, 0x72, 0x34, 0x4C, 0x4B, 0x41, 0x63, 0x4D, 0x79, 0x51, 0x55, 0x50, 0x39, 0x73, 0x69, 0x72, 0x79, 0x66, 0x46, 0x42, 0x4F, 0x30, 0x61, 0x59, 0x49, 0x78, 0x65, 0x34, 0x42, 0x7A, 0x7A,
	0x4D, 0x47, 0x44, 0x54, 0x72, 0x4D, 0x69, 0x61, 0x45, 0x31, 0x74, 0x53, 0x70, 0x37, 0x7A, 0x78, 0x4E, 0x75, 0x6D, 0x57, 0x78, 0x0D, 0x0A, 0x4E, 0x49, 0x77, 0x48, 0x44, 0x48, 0x4B, 0x6F, 0x44,
	0x65, 0x34, 0x68, 0x63, 0x75, 0x49, 0x74, 0x68, 0x58, 0x4D, 0x47, 0x51, 0x30, 0x56, 0x65, 0x64, 0x4B, 0x37, 0x4D, 0x2F, 0x72, 0x4C, 0x55, 0x69, 0x47, 0x6A, 0x66, 0x2B, 0x5A, 0x2F, 0x50, 0x75,
	0x51, 0x30, 0x4F, 0x31, 0x33, 0x37, 0x51, 0x78, 0x45, 0x70, 0x6E, 0x2B, 0x56, 0x6C, 0x51, 0x44, 0x75, 0x4C, 0x47, 0x64, 0x65, 0x69, 0x2B, 0x0D, 0x0A, 0x46, 0x56, 0x4D, 0x72, 0x7A, 0x63, 0x68,
	0x79, 0x6F, 0x38, 0x61, 0x44, 0x52, 0x30, 0x70, 0x54, 0x6B, 0x4E, 0x74, 0x53, 0x51, 0x63, 0x34, 0x58, 0x46, 0x2F, 0x5A, 0x41, 0x74, 0x68, 0x32, 0x4F, 0x5A, 0x34, 0x45, 0x33, 0x31, 0x50, 0x6C,
	0x79, 0x64, 0x6D, 0x59, 0x73, 0x32, 0x6A, 0x34, 0x43, 0x65, 0x68, 0x71, 0x6D, 0x43, 0x58, 0x55, 0x66, 0x6D, 0x76, 0x73, 0x4B, 0x64, 0x6C, 0x6C, 0x79, 0x0D, 0x0A, 0x39, 0x34, 0x53, 0x77, 0x2F,
	0x47, 0x6B, 0x2B, 0x74, 0x4D, 0x69, 0x4C, 0x69, 0x32, 0x61, 0x5A, 0x41, 0x77, 0x69, 0x51, 0x62, 0x6B, 0x58, 0x4F, 0x61, 0x2B, 0x77, 0x4C, 0x6C, 0x4A, 0x6F, 0x48, 0x53, 0x4C, 0x46, 0x45, 0x43,
	0x5A, 0x6E, 0x52, 0x64, 0x71, 0x65, 0x79, 0x4F, 0x4B, 0x34, 0x6C, 0x70, 0x4D, 0x43, 0x4C, 0x51, 0x56, 0x76, 0x5A, 0x66, 0x4E, 0x4A, 0x59, 0x6B, 0x69, 0x61, 0x4A, 0x0D, 0x0A, 0x57, 0x63, 0x49,
	0x3D, 0x0D, 0x0A, 0x2D, 0x2D, 0x2D, 0x2D, 0x2D, 0x45, 0x4E, 0x44, 0x20, 0x45, 0x4E, 0x43, 0x52, 0x59, 0x50, 0x54, 0x45, 0x44, 0x20, 0x50, 0x52, 0x49, 0x56, 0x41, 0x54, 0x45, 0x20, 0x4B, 0x45,
	0x59, 0x2D, 0x2D, 0x2D, 0x2D, 0x2D, 0x0D, 0x0A, 0xFD, 0xFD, 0xFD, 0xFD, 0xAB, 0xAB, 0xAB, 0xAB, 0xAB, 0xAB, 0xAB, 0xAB, 0xEE, 0xFE, 0xEE, 0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};
//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
